{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 03-11-2002
  Versión actual: 1.0.0
  Fecha versión actual: 03-11-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit Provincias;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrameProvincias, Db, RdxBotones, RdxBarras, Grids, DBGrids, RXDBCtrl,
  ExtCtrls, RdxPaneles, IBCustomDataSet, IBQuery, BaseDatos,
  cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxEdit, cxDBData, cxGridLevel, cxClasses,
  cxControls, cxGridCustomView, cxGridCustomTableView, cxGridTableView,
  cxGridDBTableView, cxGrid, Configuracion, cxDataStorage;

type
  TfrProvincias = class(TRdxFrameProvincias)
    BarraProvincias: TRdxBarraSuperior;
    PanelPrincipal: TPanel;
    brSeleccion: TRdxBarraInferior;
    bSeleccionar: TRdxBoton;
    bCancelar: TRdxBoton;
    dsProvincias: TDataSource;
    gridProvincias: TcxGrid;
    gridProvinciasDBTableView1: TcxGridDBTableView;
    gridProvinciasLevel1: TcxGridLevel;
    procedure bSeleccionarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  protected
    procedure BuscarProvincia; override;
  public
    constructor Create (AOwner : TComponent); override;
    destructor Destroy; override;
  published
    property TablaProvincias;
    property Entidad;
  end;

var
  frProvincias: TfrProvincias;

implementation

{$R *.DFM}
uses
  Mensajes, IB, IBDatabase, Entidades, TablaProvincias;

constructor TfrProvincias.Create (AOwner : TComponent);
begin
  inherited Create(AOwner);
  BaseDatos := dmBaseDatos.BD;
  Transaccion := dmBaseDatos.Transaccion;
  TablaProvincias := TIBDataSet.Create(Self);
  dsProvincias.DataSet := TablaProvincias;

  with TablaProvincias do
  begin
    Database := BaseDatos;
    Transaction := Transaccion;
    SelectSQL.Assign(dmTablaProvincias.sqlGrid);
    Prepare;
    Open;
  end;
  dmTablaProvincias.InicializarGridProvincias(gridProvinciasDBTableView1);
  bCancelar.Cancel := True;
end;

procedure TfrProvincias.bSeleccionarClick(Sender: TObject);
begin
  inherited;
  CodigoProvincia := TablaProvincias.FieldByName('CODIGO').Value;
  CloseFrame;
end;

destructor TfrProvincias.Destroy;
begin
  TablaProvincias.Close;
  TablaProvincias.UnPrepare;
  TablaProvincias.Free;
  inherited;
end;

procedure TfrProvincias.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

procedure TfrProvincias.BuscarProvincia;
begin
  TablaProvincias.Close;
  TablaProvincias.Open;
  TablaProvincias.Locate('CODIGO', CodigoProvincia, []);
end;


end.
